package com.bonus.material.basic.service;

import java.util.List;
import com.bonus.common.biz.domain.BmFileInfo;

/**
 * 附件
Service接口
 * 
 * @author xsheng
 * @date 2024-09-26
 */
public interface IBmFileInfoService 
{
    /**
     * 查询附件

     * 
     * @param id 附件
主键
     * @return 附件

     */
    public BmFileInfo selectBmFileInfoById(Long id);

    /**
     * 查询附件
列表
     * 
     * @param bmFileInfo 附件

     * @return 附件
集合
     */
    public List<BmFileInfo> selectBmFileInfoList(BmFileInfo bmFileInfo);

    /**
     * 新增附件

     * 
     * @param bmFileInfo 附件

     * @return 结果
     */
    public int insertBmFileInfo(BmFileInfo bmFileInfo);

    public int insertBmFileInfos(List<BmFileInfo> bmFileInfos);

    /**
     * 修改附件

     * 
     * @param bmFileInfo 附件

     * @return 结果
     */
    public int updateBmFileInfo(BmFileInfo bmFileInfo);

    /**
     * 批量删除附件

     * 
     * @param ids 需要删除的附件
主键集合
     * @return 结果
     */
    public int deleteBmFileInfoByIds(Long[] ids);

    /**
     * 删除附件
信息
     * 
     * @param id 附件
主键
     * @return 结果
     */
    public int deleteBmFileInfoById(Long id);
}
